package org.esupportail.portal.channels.CAnnuaire;
/**
 * <p>Titre : Display</p>
 * <p>Description : Affichage du resultat defini par le fichier de configuration</p>
 * <p>Copyright : Copyright (c) 2003</p>
 * <p>Société : esupPortail</p>
 * @author Sébastien GAUDIN
 * @version 1.0
 */

import java.util.*;

public class Display {
	
	//Contient tous les champs a afficher une fois la requete ex&#233;cutee
	private Hashtable lines = new Hashtable();
	private Vector ordre = new Vector();
	private String tri = null;
	private String link;
	//Nombre maximum de resultat a afficher en meme en mode fiche
	private int maxCard;
	

	///////////////////////////////////////
	// operations

	public String getLink() {
		if (link == null)
			return ("");
		return link;
	} // end getLink*/

	public void setLink(String _link) {
		link = _link;
	} // end setLink */

	/**
	 * 
	 * recupere le maxCard
	 *
	 * @return le 
	 */
	public int getMaxCard() {
		return maxCard;
	} // end getMaxCard

	/**
	 * <p>
	 * Specifie le maxCard
	 * </p>
	 *
	 *
	 * @param _maxCard
	 */
	public void setMaxCard(int _maxCard) {
		maxCard = _maxCard;
	} // end setMaxCard

	/**
	 * <p>
	 * Specifie le maxCard
	 * </p>
	 *
	 * @param ___line
	 */
	public void addLine(Line _line) {
		lines.put(_line.getAttribute(), _line);
		ordre.add(_line.getAttribute());
	} // end addLine

	/**
	 * <p>
	 * Retourne les lignes
	 * </p>
	 *
	*/
	public Hashtable getLines() {
		return (lines);
	} // end getLines

	public Vector getOrdre() {
		return (ordre);
	} // end getOrdre

	/**
	 * @return la 
	 */
	public String getTri() {
		return tri;
	}

	/**
	 * @param string
	 */
	public void setTri(String _tri) {
		tri = _tri;
	}

} // end Display
